## fence-agents 4.11.0

=== debian/changelog ===
fence-agents (4.11.0-1ubuntu2) kinetic; urgency=medium

  * d/rules: disable -Wstringop-truncation in s390x to fix a FTBFS.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 15 Aug 2022 17:31:50 -0300

fence-agents (4.11.0-1ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1971275). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - d/rules: install files in debian/fence-agents instead of debian/tmp.
    - Create the fence-agents-common binary package with files to be
      shared by agents.
    - Create the fence-agents-base binary package.
      To add a new curated agent it should be added to debian/curated-agents
      file in a new line.
    - Update the way agents description are added to the package
      description to support the split.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
    - Create a transitional binary package called fence-agents.
      It depends on both fence-agents-{base,extra}.
    - d/control: Add missing Breaks/Replaces to the fence-agents-base.
    - d/curated-agents: add fence_scsi to the -base package.
    - d/curated-agents: add fence_mpath to the -base package.
    - d/rules: do not install /var/run directory anymore.
      This was causing a lintian error because of the /var/run/cluster
      directory created by the upstream build system. The needed files in
      /var/run should be created by the agents during runtime.
    - d/curated-agents: add fence_ipmilan and fence_sbd to the -base
      package (LP #1965312).
      Also add the following agents which are symlinks to fence_ipmilan:
      fence_idrac, fence_ilo3, fence_ilo4, fence_ilo5, fence_imm, and
      fence_ipmilanplus.
    - d/control: suggest dependecies of agents in the -base package
      (LP #1863677).
  * Added:
    - Fix installation of fence-virt{,d} binary packages.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 05 Aug 2022 14:48:47 -0300

fence-agents (4.11.0-1) unstable; urgency=medium

  * New upstream version 4.11.0
  * Refresh patches for new version
  * Create packages for fence-virt and fence-virtd
  * Update watch file url
  * Update Debian copyright
  * Update Standards-Version to 4.6.0
  * Cleanup lintian-overrides
  * Fix lintian warning for syslog.target
  * Replace deprecated logging.warn calls
  * Ignore warnings in metadata output

 -- Valentin Vidic <vvidic@debian.org>  Sun, 01 May 2022 17:51:59 +0200

fence-agents (4.7.1-1ubuntu8) jammy; urgency=medium

  * d/curated-agents: add fence_ipmilan and fence_sbd to the -base package.
    Also add the following agents which are symlinks to fence_ipmilan:
    fence_idrac, fence_ilo3, fence_ilo4, fence_ilo5, fence_imm, and
    fence_ipmilanplus (LP: #1965312).
  * d/control: suggest dependecies of agents in the -base package (LP: #1863677)

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 17 Mar 2022 11:43:13 -0300

fence-agents (4.7.1-1ubuntu7) impish; urgency=medium

  * d/rules: do not install /var/run directory anymore.
    This was causing a lintian error because of the /var/run/cluster
    directory created by the upstream build system. The needed files in
    /var/run should be created by the agents during runtime.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 28 Sep 2021 09:16:11 -0300

fence-agents (4.7.1-1ubuntu6) impish; urgency=medium

  * d/curated-agents: add fence_mpath to the -base package (LP: #1942368).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Tue, 20 Jul 2021 10:53:33 -0300

fence-agents (4.7.1-1ubuntu5) impish; urgency=medium

  * d/curated-agents: add fence_scsi to the -base package.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 30 Jun 2021 16:54:03 -0300

fence-agents (4.7.1-1ubuntu4) impish; urgency=medium

  * Rename fence-agents with non-curated agents to fence-agents-extra.
    - d/control: rename the fence-agents binary package to fence-agents-extra.
    - d/extract-agents-description:
      + Rename the package name used in the substvars filename.
      + Rename all the occurrences of the 'unsupported' term to 'non-curated'.
    - d/move-supported-agents: update the binary package name in the path used
      to move files.
    - d/rules:
      + Rename FENCE_AGENTS_DIR to FENCE_AGENTS_EXTRA_DIR with the appropriate
        path.
      + Edit comments to avoid the term 'supported'.
  * Rename fence-agent-supported with curated agents to fence-agents-base.
    - d/control:
      + Rename fence-agents-supported binary package to fence-agents-base.
      + Update the short and long description to not use the 'supported' term.
      + Rename the supportedAgents substvar to curatedAgents.
    - d/curated-agents: new file, this is the renamed d/supported-agents file.
    - d/extract-agents-description:
      + Rename the package name used in the substvars filename.
      + Rename all the occurrences of the 'supported' term to 'curated'.
    - d/move-curated-agents: new file, this is the renamed
      d/move-supported-agents script.
    - d/rules:
      + Call d/move-curated-agents instead of d/move-supported-agents.
      + Edit comments to avoid the term 'supported'.
  * Create a transitional binary package called fence-agents.
    - d/control: add a new section for the transitional package, adding
      fence-agents-{base,extra} as dependencies.
  * d/control: add a missing Breaks/Replaces relation to the fence-agents-base.
  * d/move-curated-agents: use readonly variables to store the binary
    packages' path.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Wed, 12 May 2021 15:44:43 -0300

fence-agents (4.7.1-1ubuntu3) impish; urgency=medium

  * d/control: make fence-agents recommend fence-agents-supported.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 03 May 2021 09:14:56 -0300

fence-agents (4.7.1-1ubuntu2) impish; urgency=medium

  * d/rules: install files in debian/fence-agents instead of debian/tmp.
  * d/install: removed, it is not needed.

