## fence-agents 4.12.1

=== debian/changelog ===
fence-agents (4.12.1-2~exp1ubuntu4) noble; urgency=medium

  * d/p/fence_azure_arm-fix-get-virtual-machines-call: fix get virtual machines
    call to match API changes in python3-azure. This fixes the otherwise
    completely broken Azure fence agent.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 16 Apr 2024 13:38:28 +0000

fence-agents (4.12.1-2~exp1ubuntu3) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 17:57:24 +0200

fence-agents (4.12.1-2~exp1ubuntu2) mantic; urgency=medium

  * d/control: demote ipmitool and sbd dependencies to Suggests.
    fence-agents-{ipmilan,sbd} depend on packages in universe, instead of
    promoting them to main let's change the relationship to Suggests.
  * d/t/control: use needs-recommends restrictions since @recommends@ is not
    supported. In the autopkgtest version used in the Ubuntu infrastructure,
    the @recommends@ in Depends does not work. For now, let's use the deprecated
    needs-recommends restriction.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 13 Jul 2023 17:51:39 -0300

fence-agents (4.12.1-2~exp1ubuntu1) mantic; urgency=medium

  * Merge with Debian experimental (LP: #2018071). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - Create the fence-agents-base binary package.
      This is a metapackage to install all the agents curated by the
      Ubuntu Server team.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
      This is a metapackage to install all the agents non-curated by the
      Ubuntu Server team.
    - Create a transitional binary package called fence-agents.
      It depends on both fence-agents-{base,extra}.
  * Dropped:
    - d/rules: install files in debian/fence-agents instead of debian/tmp.
    - Create the fence-agents-common binary package with files to be
      shared by agents.
    - Update the way agents description are added to the package
      description to support the split.
    - d/curated-agents: add set of curated agents to the -base package.
      They are: fence_scsi, fence_mpath, fence_sbd, fence_ipmilan and
      friends (fence_idrac, fence_ilo3, fence_ilo4, fence_ilo5, fence_imm,
      and fence_ipmilanplus).
    - d/control: suggest dependecies of agents in the -base package
      (LP #1863677).

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 06 Jul 2023 17:56:39 -0300

fence-agents (4.12.1-2~exp1) experimental; urgency=medium

  [ Lucas Kanashiro ]
  * Create fence-agents-common binary package
  * d/control: add one binary package paragraph for each fence agent
  * d/fence-agents-*.install: install agents in the approppriate package
  * Make fence-agents binary package a metapackage depending on all agents
  * d/rules: fix dh_install overrides
  * d/rules: no need to override dh_gencontrol
  * d/rules: install pycache files to avoid dh_missing error
  * d/t/control: adjust some test dependencies due to the split
  * Update changelog

  [ Valentin Vidic ]
  * d/control: add ${misc:Depends} for fence-agents
  * d/control: update package descriptions
  * d/rules: do not install pycache files
  * d/control: update package descriptions
  * d/tests: use Recommends in autopkgtests
  * d/control: add python3-openstackclient dependency

  [ Lucas Kanashiro ]
  * d/fence-agents-apc-snmp.install: install mib file
  * d/control: add python3-socks as runtime dependency of GCE agent
  * d/control: add python3-pexpect as a runtime dependency of netio agent
  * d/control: add python3-pexpect as runtime dependency of raritan agent
  * d/fence-agents-vmware.install: add fence_vmware_helper.pl

  [ Valentin Vidic ]
  * d/control: update fence-agents-netio description and depends
  * d/control: cleanup depends for fence-agents-common
  * d/control: update description for fence-agents-vmware
  * d/rules: install fence-vmware-helper to libexec directory
  * d/control: update description for fence-agents-crosslink
  * d/install: fix mib install for fence-agents-apc-snmp
  * d/control: update description for fence-agents-apc-snmp

  [ Lucas Kanashiro ]
  * d/control: fix architecture of binary packages

  [ Valentin Vidic ]
  * d/rules: remove deprecated zvm agent
  * d/control: update description for fence-agents-zvm
  * d/control: update description for fence-agents-aliyun
  * d/rules: update list of agents skipped in testing
  * d/control: update descriptions
  * Update metadata test for fence_virt

 -- Valentin Vidic <vvidic@debian.org>  Sun, 02 Jul 2023 16:46:59 +0200

fence-agents (4.12.1-1ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable (LP: #1993400). Remaining changes:
    - d/t/delay: Reduce minimum delay when running on ppc64el.
    - d/rules: install files in debian/fence-agents instead of debian/tmp.
    - Create the fence-agents-common binary package with files to be
      shared by agents.
    - Create the fence-agents-base binary package.
      To add a new curated agent it should be added to debian/curated-agents
      file in a new line.
    - Update the way agents description are added to the package
      description to support the split.
    - Rename fence-agents with non-curated agents to fence-agents-extra.
      Also fix installation of fence-virt{,d} binary packages.
    - Create a transitional binary package called fence-agents.
      It depends on both fence-agents-{base,extra}.
    - d/curated-agents: add set of curated agents to the -base package.
      They are: fence_scsi, fence_mpath, fence_sbd, fence_ipmilan and
      friends (fence_idrac, fence_ilo3, fence_ilo4, fence_ilo5, fence_imm,
      and fence_ipmilanplus).
    - d/control: suggest dependecies of agents in the -base package
      (LP #1863677).
  * Dropped:
    - d/rules: disable -Wstringop-truncation in s390x to fix a FTBFS.
      [applied by Debian version 4.12.0-1]
    - d/rules: do not install /var/run directory anymore.

