=== debian/control ===
Source: fence-agents
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
           Valentin Vidic <vvidic@debian.org>
Build-Depends: autoconf,
               automake,
               bison,
               debhelper-compat (= 13),
               dh-python,
               flex,
               iputils-ping,
               libcpg-dev,
               libglib2.0-dev,
               libnet-telnet-perl,
               libnspr4-dev,
               libnss3-dev,
               libtool,
               libvirt-dev,
               libxml2-dev,
               libxml2-utils,
               perl,
               python3,
               python3-boto3,
               python3-googleapi,
               python3-kubernetes,
               python3-oauth2client,
               python3-pexpect,
               python3-pycurl,
               python3-requests,
               python3-suds,
               systemd,
               time,
               uuid-dev,
               xsltproc,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://github.com/ClusterLabs/fence-agents
Vcs-Browser: https://salsa.debian.org/ha-team/fence-agents
Vcs-Git: https://salsa.debian.org/ha-team/fence-agents.git

Package: fence-agents
Architecture: all
Section: oldlibs
Depends: ${misc:Depends},
         fence-agents-base (>= ${source:Version}),
         fence-agents-extra (>= ${source:Version})
Description: Transitional package for the fence-agents
 Red Hat Fence Agents is a collection of scripts to handle remote
 power management for several devices.  They allow failed or
 unreachable nodes to be forcibly restarted and removed from the
 cluster.
 .
 This is a transitional package which provides a set of curated
 (fence-agents-base) and non-curated (fence-agents-extra) agents.

Package: fence-agents-extra
Architecture: all
Depends: ${misc:Depends},
         fence-agents-ack-manual,
         fence-agents-aliyun,
         fence-agents-alom,
         fence-agents-amt,
         fence-agents-apc,
         fence-agents-apc-snmp,
         fence-agents-aws,
         fence-agents-azure-arm,
         fence-agents-bladecenter,
         fence-agents-brocade,
         fence-agents-cdu,
         fence-agents-cisco-mds,
         fence-agents-cisco-ucs,
         fence-agents-compute,
         fence-agents-crosslink,
         fence-agents-cyberpower-ssh,
         fence-agents-docker,
         fence-agents-drac,
         fence-agents-drac5,
         fence-agents-dummy,
         fence-agents-eaton-snmp,
         fence-agents-ecloud,
         fence-agents-emerson,
         fence-agents-eps,
         fence-agents-gce,
         fence-agents-hds-cb,
         fence-agents-heuristics-ping,
         fence-agents-hpblade,
         fence-agents-ibmblade,
         fence-agents-ibm-powervs,
         fence-agents-ibm-vpc,
         fence-agents-ibmz,
         fence-agents-ifmib,
         fence-agents-ilo2,
         fence-agents-ilo-moonshot,
         fence-agents-ilo-mp,
         fence-agents-ilo-ssh,
         fence-agents-intelmodular,
         fence-agents-ipdu,
         fence-agents-ironic,
         fence-agents-kdump,
         fence-agents-kubevirt,
         fence-agents-ldom,
         fence-agents-lindy-pdu,
         fence-agents-lpar,
         fence-agents-netio,
         fence-agents-openstack,
         fence-agents-ovh,
         fence-agents-powerman,
         fence-agents-pve,
         fence-agents-raritan,
         fence-agents-raritan-px3,
         fence-agents-rcd-serial,
         fence-agents-redfish,
         fence-agents-rhevm,
         fence-agents-rsa,
         fence-agents-rsb,
         fence-agents-sanbox2,
         fence-agents-skalar,
         fence-agents-vbox,
         fence-agents-vmware,
         fence-agents-vmware-rest,
         fence-agents-vmware-soap,
         fence-agents-vmware-vcloud,
         fence-agents-wti,
         fence-agents-xenapi,
         fence-virt,
Description: Fence Agents for Red Hat Cluster non-curated by Ubuntu
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 This package is a metapackage depending on all available fence agents which
 are not curated by the Ubuntu Server team. The agents which are not curated by
 Ubuntu are not officially supported.

Package: fence-agents-common
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-pexpect,
         python3-pycurl,
Breaks: fence-agents (<< 4.12.1-2~exp1)
Replaces: fence-agents (<< 4.12.1-2~exp1)
Description: Fence Agents for Red Hat Cluster - common files
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 This package provides common files used by all fence agents.

Package: fence-agents-aliyun
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         fence-agents-common (>= ${source:Version})
Breaks: fence-agents (<< 4.12.1-2~exp1)
Replaces: fence-agents (<< 4.12.1-2~exp1)
Description: Fence Agents for Red Hat Cluster - Aliyun agent
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 This package provides an I/O fencing agent for Aliyun Web Services in Alibaba
 Cloud.
 .
 Note: This agent requires Aliyun Python SDK to be functional.

Package: fence-agents-ack-manual
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         fence-agents-common (>= ${source:Version})
Breaks: fence-agents (<< 4.12.1-2~exp1)
Replaces: fence-agents (<< 4.12.1-2~exp1)
Description: Fence Agents for Red Hat Cluster - manual ack agent
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 fence_ack_manual tells fenced to stop retrying and consider the node fenced.
 .
 It is important that this only be done after the node has been manually turned
 off or prevented from writing to shared storage.  Without this manual action
 and verification, the storage that fencing protects may become corrupted.

Package: fence-agents-alom
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         fence-agents-common (>= ${source:Version}),
         openssh-client,
         telnet
Breaks: fence-agents (<< 4.12.1-2~exp1)
Replaces: fence-agents (<< 4.12.1-2~exp1)
Description: Fence Agents for Red Hat Cluster - Sun ALOM agent
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 fence_alom is an I/O Fencing agent which can be used with ALOM connected
 machines.

Package: fence-agents-amt
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         fence-agents-common (>= ${source:Version}),
         amtterm
Breaks: fence-agents (<< 4.12.1-2~exp1)
Replaces: fence-agents (<< 4.12.1-2~exp1)
Description: Fence Agents for Red Hat Cluster - Intel AMT agent
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 fence_amt is an I/O Fencing agent which can be used with Intel AMT.

Package: fence-agents-apc
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         fence-agents-common (>= ${source:Version}),
         openssh-client,
         telnet
Breaks: fence-agents (<< 4.12.1-2~exp1)
Replaces: fence-agents (<< 4.12.1-2~exp1)
Description: Fence Agents for Red Hat Cluster - APC over telnet/ssh agent
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 fence_apc is an I/O Fencing agent which can be used with the APC network power
 switch. It logs into device via telnet/ssh  and reboots a specified outlet.
 Lengthy telnet/ssh connections should be avoided while a GFS cluster is running
 because the connection will block any necessary fencing actions.

Package: fence-agents-apc-snmp
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         fence-agents-common (>= ${source:Version}),
         snmp
Breaks: fence-agents (<< 4.12.1-2~exp1)
Replaces: fence-agents (<< 4.12.1-2~exp1)
Description: Fence Agents for Red Hat Cluster - APC over SNMP agent
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 This package provides an I/O Fencing agents which can be used with the APC
 network power switch or Tripplite PDU devices. It logs into a device via SNMP
 and reboots a specified outlet. It supports SNMP v1, v2c, v3 with all
 combinations of authenticity/privacy settings.

Package: fence-agents-aws
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         fence-agents-common (>= ${source:Version}),
         python3-boto3,
         python3-requests
Breaks: fence-agents (<< 4.12.1-2~exp1)
Replaces: fence-agents (<< 4.12.1-2~exp1)
Description: Fence Agents for Red Hat Cluster - AWS agent
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 fence_aws is an I/O Fencing agent for AWS (Amazon Web Services). It uses the
 boto3 library to connect to AWS.

Package: fence-agents-azure-arm
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         fence-agents-common (>= ${source:Version}),
         python3-azure
Breaks: fence-agents (<< 4.12.1-2~exp1)
Replaces: fence-agents (<< 4.12.1-2~exp1)
Description: Fence Agents for Red Hat Cluster - Azure ARM agent
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 fence_azure_arm is an I/O Fencing agent for Azure Resource Manager. It uses
 Azure SDK for Python to connect to Azure.

Package: fence-agents-bladecenter
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         fence-agents-common (>= ${source:Version}),
         openssh-client,
         telnet
Breaks: fence-agents (<< 4.12.1-2~exp1)
Replaces: fence-agents (<< 4.12.1-2~exp1)
Description: Fence Agents for Red Hat Cluster - IBM BladeCenter telnet agent
 Red Hat Fence Agents is a collection of scripts to handle remote power
 management for several devices. They allow failed or unreachable nodes to be
 forcibly restarted and removed from the cluster.
 .
 fence_bladecenter is an I/O Fencing agent which can be used with IBM
 BladeCenters with recent enough firmware that includes telnet support. It logs
 into a Brocade chasis via telnet or ssh and uses the command line interface to
 power on and off blades.

Package: fence-agents-brocade
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         fence-agents-common (>= ${source:Version}),
