## fence-agents 4.15.0

=== debian/changelog ===
fence-agents (4.15.0-3) unstable; urgency=medium

  [ Athos Ribeiro ]
  * Use google-auth rather than oauth2client

  [ Valentin Vidic ]
  * Fix Depends parsing for autopkgtest

 -- Valentin Vidic <vvidic@debian.org>  Mon, 16 Sep 2024 22:45:49 +0200

fence-agents (4.15.0-2) unstable; urgency=medium

  * Make metadata autopkgtest less verbose
  * Move large agents to Suggests to reduce size

 -- Valentin Vidic <vvidic@debian.org>  Sun, 15 Sep 2024 15:07:11 +0200

fence-agents (4.15.0-1) unstable; urgency=medium

  * New upstream version 4.15.0 (Closes: #1076145)
  * Refresh patches for new version
  * Update agents copyright
  * Refresh agent installed files for new version

 -- Valentin Vidic <vvidic@debian.org>  Sun, 21 Jul 2024 18:04:05 +0200

fence-agents (4.14.0-1) unstable; urgency=medium

  * New upstream version 4.14.0
  * Refresh patches for new version
  * Switch Build-Depends to systemd-dev (Closes: #1060568)
  * Update Standards-Version to 4.7.0
  * Add packages for new agents
  * Upload split package to unstable

 -- Valentin Vidic <vvidic@debian.org>  Sat, 27 Apr 2024 10:06:49 +0200

fence-agents (4.12.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Switch Build-Depends: systemd to systemd-dev, fixing FTBFS (Closes:
    #1060568)
  * Install systemd units into /usr. (Closes: #1073720)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 11 Jul 2024 14:46:34 +0200
