=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fence-agents
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
+Maintainer: Debian HA Maintainers <debian-ha-maintainers@alioth-lists.debian.net>
 Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>,
            Valentin Vidic <vvidic@debian.org>
 Build-Depends: autoconf,
@@ -24,116 +23,106 @@
                perl,
                python3,
                python3-boto3,
+               python3-google-auth,
                python3-googleapi,
                python3-kubernetes,
-               python3-oauth2client,
                python3-pexpect,
                python3-pycurl,
                python3-requests,
                python3-suds,
-               systemd,
+               systemd-dev,
                time,
                uuid-dev,
                xsltproc,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/ClusterLabs/fence-agents
 Vcs-Browser: https://salsa.debian.org/ha-team/fence-agents
 Vcs-Git: https://salsa.debian.org/ha-team/fence-agents.git
 
 Package: fence-agents
 Architecture: all
-Section: oldlibs
 Depends: ${misc:Depends},
-         fence-agents-base (>= ${source:Version}),
-         fence-agents-extra (>= ${source:Version})
-Description: Transitional package for the fence-agents
- Red Hat Fence Agents is a collection of scripts to handle remote
- power management for several devices.  They allow failed or
- unreachable nodes to be forcibly restarted and removed from the
- cluster.
- .
- This is a transitional package which provides a set of curated
- (fence-agents-base) and non-curated (fence-agents-extra) agents.
-
-Package: fence-agents-extra
-Architecture: all
-Depends: ${misc:Depends},
-         fence-agents-ack-manual,
-         fence-agents-aliyun,
-         fence-agents-alom,
-         fence-agents-amt,
-         fence-agents-apc,
-         fence-agents-apc-snmp,
-         fence-agents-aws,
-         fence-agents-azure-arm,
-         fence-agents-bladecenter,
-         fence-agents-brocade,
-         fence-agents-cdu,
-         fence-agents-cisco-mds,
-         fence-agents-cisco-ucs,
-         fence-agents-compute,
-         fence-agents-crosslink,
-         fence-agents-cyberpower-ssh,
-         fence-agents-docker,
-         fence-agents-drac,
-         fence-agents-drac5,
-         fence-agents-dummy,
-         fence-agents-eaton-snmp,
-         fence-agents-ecloud,
-         fence-agents-emerson,
-         fence-agents-eps,
-         fence-agents-gce,
-         fence-agents-hds-cb,
-         fence-agents-heuristics-ping,
-         fence-agents-hpblade,
-         fence-agents-ibmblade,
-         fence-agents-ibm-powervs,
-         fence-agents-ibm-vpc,
-         fence-agents-ibmz,
-         fence-agents-ifmib,
-         fence-agents-ilo2,
-         fence-agents-ilo-moonshot,
-         fence-agents-ilo-mp,
-         fence-agents-ilo-ssh,
-         fence-agents-intelmodular,
-         fence-agents-ipdu,
-         fence-agents-ironic,
-         fence-agents-kdump,
-         fence-agents-kubevirt,
-         fence-agents-ldom,
-         fence-agents-lindy-pdu,
-         fence-agents-lpar,
-         fence-agents-netio,
-         fence-agents-openstack,
-         fence-agents-ovh,
-         fence-agents-powerman,
-         fence-agents-pve,
-         fence-agents-raritan,
-         fence-agents-raritan-px3,
-         fence-agents-rcd-serial,
-         fence-agents-redfish,
-         fence-agents-rhevm,
-         fence-agents-rsa,
-         fence-agents-rsb,
-         fence-agents-sanbox2,
-         fence-agents-skalar,
-         fence-agents-vbox,
-         fence-agents-vmware,
-         fence-agents-vmware-rest,
-         fence-agents-vmware-soap,
-         fence-agents-vmware-vcloud,
-         fence-agents-wti,
-         fence-agents-xenapi,
-         fence-virt,
-Description: Fence Agents for Red Hat Cluster non-curated by Ubuntu
- Red Hat Fence Agents is a collection of scripts to handle remote power
- management for several devices. They allow failed or unreachable nodes to be
- forcibly restarted and removed from the cluster.
- .
- This package is a metapackage depending on all available fence agents which
- are not curated by the Ubuntu Server team. The agents which are not curated by
- Ubuntu are not officially supported.
+Recommends: fence-agents-ack-manual,
+            fence-agents-aliyun,
+            fence-agents-alom,
+            fence-agents-apc,
+            fence-agents-apc-snmp,
+            fence-agents-bladecenter,
+            fence-agents-brocade,
+            fence-agents-cdu,
+            fence-agents-cisco-mds,
+            fence-agents-cisco-ucs,
+            fence-agents-crosslink,
+            fence-agents-cyberpower-ssh,
+            fence-agents-docker,
+            fence-agents-drac,
+            fence-agents-drac5,
+            fence-agents-dummy,
+            fence-agents-eaton-snmp,
+            fence-agents-eaton-ssh,
+            fence-agents-ecloud,
+            fence-agents-emerson,
+            fence-agents-eps,
+            fence-agents-hds-cb,
+            fence-agents-heuristics-ping,
+            fence-agents-hpblade,
+            fence-agents-ibmblade,
+            fence-agents-ibm-powervs,
+            fence-agents-ibm-vpc,
+            fence-agents-ibmz,
+            fence-agents-ifmib,
+            fence-agents-ilo2,
+            fence-agents-ilo-moonshot,
+            fence-agents-ilo-mp,
+            fence-agents-ilo-ssh,
+            fence-agents-intelmodular,
+            fence-agents-ipdu,
+            fence-agents-ipmilan,
+            fence-agents-kdump,
+            fence-agents-kubevirt,
+            fence-agents-ldom,
+            fence-agents-lindy-pdu,
+            fence-agents-lpar,
+            fence-agents-mpath,
+            fence-agents-netio,
+            fence-agents-ovh,
+            fence-agents-ovm,
+            fence-agents-powerman,
+            fence-agents-pve,
+            fence-agents-raritan,
+            fence-agents-raritan-px3,
+            fence-agents-rcd-serial,
+            fence-agents-redfish,
+            fence-agents-rhevm,
+            fence-agents-rsa,
+            fence-agents-rsb,
+            fence-agents-sanbox2,
+            fence-agents-scsi,
+            fence-agents-skalar,
+            fence-agents-vbox,
+            fence-agents-virsh,
+            fence-agents-vmware,
+            fence-agents-vmware-rest,
+            fence-agents-vmware-soap,
+            fence-agents-vmware-vcloud,
+            fence-agents-wti,
+            fence-agents-xenapi,
+            fence-virt,
+Suggests: fence-agents-amt,
+          fence-agents-aws,
+          fence-agents-azure-arm,
+          fence-agents-compute,
+          fence-agents-gce,
+          fence-agents-ironic,
+          fence-agents-openstack,
+          fence-agents-sbd,
+Description: Fence Agents for Red Hat Cluster - all agents
+ Red Hat Fence Agents is a collection of scripts to handle remote power
+ management for several devices. They allow failed or unreachable nodes to be
+ forcibly restarted and removed from the cluster.
+ .
+ This package is a metapackage depending on all available fence agents.
 
 Package: fence-agents-common
 Architecture: all
@@ -319,3 +308,11 @@
          ${misc:Depends},
          ${python3:Depends},
          fence-agents-common (>= ${source:Version}),
+         openssh-client,
+         telnet
+Breaks: fence-agents (<< 4.12.1-2~exp1)
+Replaces: fence-agents (<< 4.12.1-2~exp1)
+Description: Fence Agents for Red Hat Cluster - HP Brocade agent
+ Red Hat Fence Agents is a collection of scripts to handle remote power
+ management for several devices. They allow failed or unreachable nodes to be
+ forcibly restarted and removed from the cluster.
