=== debian/tests/control ===
--- 
+++ 
@@ -1,10 +1,16 @@
 Tests: metadata
-Depends: fence-agents, xsltproc, libxml2-utils, gawk
-Restrictions: needs-recommends
+Depends: fence-agents, xsltproc, libxml2-utils, gawk,
+         fence-agents-amt, fence-agents-aws, fence-agents-azure-arm,
+         fence-agents-compute, fence-agents-gce, fence-agents-ironic,
+         fence-agents-openstack, fence-agents-sbd,
+         @recommends@
 
 Tests: delay
-Depends: fence-agents, time
-Restrictions: needs-recommends
+Depends: fence-agents, time,
+         fence-agents-amt, fence-agents-aws, fence-agents-azure-arm,
+         fence-agents-compute, fence-agents-gce, fence-agents-ironic,
+         fence-agents-openstack, fence-agents-sbd,
+         @recommends@
 
 Tests: fence-dummy
 Depends: fence-agents-dummy
